OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.NV.Fence

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the NV_fence not already in the OpenGL 3.1 core, see http://www.opengl.org/registry/specs/NV/fence.txt.

Synopsis

- glGenFences :: GLsizei -> Ptr GLuint -> IO ()
- glDeleteFences :: GLsizei -> Ptr GLuint -> IO ()
- glSetFence :: GLuint -> GLenum -> IO ()
- glTestFence :: GLuint -> IO GLboolean
- glFinishFence :: GLuint -> IO ()
- glIsFence :: GLuint -> IO GLboolean
- glGetFenceiv :: GLuint -> GLenum -> Ptr GLint -> IO ()
- gl_ALL_COMPLETED :: GLenum
- gl_FENCE_STATUS :: GLenum
- gl_FENCE_CONDITION :: GLenum

# Functions

glGenFences :: GLsizei -> Ptr GLuint -> IO ()

glDeleteFences :: GLsizei -> Ptr GLuint -> IO ()

glSetFence :: GLuint -> GLenum -> IO ()

glTestFence :: GLuint -> IO GLboolean

glFinishFence :: GLuint -> IO ()

glIsFence :: GLuint -> IO GLboolean

glGetFenceiv :: GLuint -> GLenum -> Ptr GLint -> IO ()

# Tokens

gl_ALL_COMPLETED :: GLenum

gl_FENCE_STATUS :: GLenum

gl_FENCE_CONDITION :: GLenum